// Preferences.h
// Project: Cribbage
// Stephan Wacker
// 93-10-03


#import <appkit/appkit.h>


@interface Preferences: Object
{
    id		explainSwitch;
#define EXPLAIN_DEFAULT_NAME		"ExplainMistakes"
// "Yes", "No"
#define EXPLAIN_DEFAULT_VALUE		"No"
#define EXPLAIN_DEFAULT			NO
    
    id		messagesSwitch;
#define BRIEF_DEFAULT_NAME		"BriefMessages"
// "Yes", "No"
#define BRIEF_DEFAULT_VALUE		"No"
#define BRIEF_DEFAULT			NO

    id		limitButton;
    id		limitPopup;
#define LIMIT_DEFAULT_NAME		"Limit"
// "61", "121"
#define LIMIT_DEFAULT_VALUE		"61"
#define LIMIT_DEFAULT			61

    id		compColorWell;
#define COMP_COLOR_DEFAULT_NAME		"CompColor"
// "(<red>,<green>,<blue>)" as floats
#define COMP_COLOR_DEFAULT_VALUE	"(1,0,0)"
#define COMP_COLOR_DEFAULT		NX_COLORRED

    id		humanColorWell;
#define HUMAN_COLOR_DEFAULT_NAME	"HumanColor"
// "(<red>,<green>,<blue>)" as floats
#define HUMAN_COLOR_DEFAULT_VALUE	"(0,1,0)"
#define HUMAN_COLOR_DEFAULT		NX_COLORGREEN

    id		backgroundColorWell;
#define BACKGROUND_COLOR_DEFAULT_NAME	"BackgroundColor"
// "(<red>,<green>,<blue>)" as floats
#define BACKGROUND_COLOR_DEFAULT_VALUE	"(0.333333,0.333333,0.333333)"
#define BACKGROUND_COLOR_DEFAULT	NX_COLORLTGRAY

}


- run: sender;
- changeColor: sender;
- changeSwitch: sender;
- save: sender;

- freezeLimit;
- unfreezeLimit;


// initialization
- awakeFromNib;

// defaults
+ (int) defaultLimit;
+ (BOOL) defaultBriefMessages;
+ (BOOL) defaultExplainMistakes;
+ (NXColor) defaultCompColor;
+ (NXColor) defaultHumanColor;
+ (NXColor) defaultBackgroundColor;

// access
- (int) limit;
- (BOOL) briefMessages;
- (BOOL) explainMistakes;
- (NXColor) compColor;
- (NXColor) humanColor;
- (NXColor) backgroundColor;


@end	// Preferences
